Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Retrieve organisations with their billing details and child customer IDs.
cURL
curl --request GET \ --url https://api.hyperline.co/v1/organisations \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.hyperline.co/v1/organisations" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.hyperline.co/v1/organisations', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/organisations", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/organisations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.hyperline.co/v1/organisations") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/organisations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "cus_0noDeAEU22FgA4", "name": "Acme Group", "currency": "EUR", "country": "FR", "invoice_schedule": "month", "next_invoice_at": "2024-04-01T00:00:00Z", "child_customer_ids": [ "cus_Typ0px2W0aiEtl" ], "updated_at": "2026-09-15T00:00:00Z" } ], "next_cursor": null, "has_more": false, "total": 1 }
{ "message": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Maximum number of items to return (1-100).
x <= 100
50
Opaque cursor returned in the previous response's next_cursor. Omit to fetch the first page.
next_cursor
Set to true to include total in the response.
true
total
false
Sort direction.
asc
desc
"desc"
Field used to sort the results.
created_at
updated_at
List of Organisation.
Show child attributes
Cursor to fetch the next page. null when there are no more items.
null
Whether more items are available after this page.
Total number of items matching the filters. Only present when include_total=true was passed.
include_total=true
1
Was this page helpful?